summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/a/eudev/config/modprobe.d/pcspkr.conf7
-rw-r--r--source/a/eudev/config/modprobe.d/snd-pcsp.conf10
-rw-r--r--source/a/eudev/config/modprobe.d/watchdog.conf2
-rwxr-xr-xsource/a/eudev/eudev.SlackBuild4
-rw-r--r--source/ap/terminus-font/terminus-font.Makefile.paths.diff24
-rwxr-xr-xsource/ap/terminus-font/terminus-font.SlackBuild19
6 files changed, 40 insertions, 26 deletions
diff --git a/source/a/eudev/config/modprobe.d/pcspkr.conf b/source/a/eudev/config/modprobe.d/pcspkr.conf
index 66de6b749..d6f804bcb 100644
--- a/source/a/eudev/config/modprobe.d/pcspkr.conf
+++ b/source/a/eudev/config/modprobe.d/pcspkr.conf
@@ -2,8 +2,9 @@
# Do not edit this file; instead, copy it to /etc/modprobe.d/ and edit that
##############################################################################
-# PC Speaker support:
-# This one is loaded by /etc/rc.d/rc.modules. If you don't like
-# the beeps and buzz from speaker, edit /etc/rc.d/rc.modules.
+# Standard PC speaker support:
+# This is the standard driver for the PC motherboard speaker, capable of
+# outputting simple tones of a given frequency. Most users will have better
+# audio hardware and will want this module blacklisted.
blacklist pcspkr
diff --git a/source/a/eudev/config/modprobe.d/snd-pcsp.conf b/source/a/eudev/config/modprobe.d/snd-pcsp.conf
new file mode 100644
index 000000000..21143d7d7
--- /dev/null
+++ b/source/a/eudev/config/modprobe.d/snd-pcsp.conf
@@ -0,0 +1,10 @@
+##############################################################################
+# Do not edit this file; instead, copy it to /etc/modprobe.d/ and edit that
+##############################################################################
+
+# ALSA/PCM support for the standard PC speaker:
+# This is an ALSA driver that attempts to output full PCM sound using the very
+# limited hardware of the built-in PC speaker. It doesn't work very well. Most
+# users will have better audio hardware and will want this module blacklisted.
+blacklist snd-pcsp
+
diff --git a/source/a/eudev/config/modprobe.d/watchdog.conf b/source/a/eudev/config/modprobe.d/watchdog.conf
index ad112cb6c..b5d1e65e7 100644
--- a/source/a/eudev/config/modprobe.d/watchdog.conf
+++ b/source/a/eudev/config/modprobe.d/watchdog.conf
@@ -14,7 +14,7 @@ blacklist cpu5wdt
blacklist da9062_wdt
blacklist da9063_wdt
blacklist dw_wdt
-blacklist ebc_c384_wdt
+blacklist ebc-c384_wdt
blacklist eurotechwdt
blacklist f71808e_wdt
blacklist hpwdt
diff --git a/source/a/eudev/eudev.SlackBuild b/source/a/eudev/eudev.SlackBuild
index 926fe34ef..ebe991d12 100755
--- a/source/a/eudev/eudev.SlackBuild
+++ b/source/a/eudev/eudev.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=eudev
VERSION=${VERSION:-$(echo eudev-*.tar.* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/ap/terminus-font/terminus-font.Makefile.paths.diff b/source/ap/terminus-font/terminus-font.Makefile.paths.diff
index aeee814ef..811f22266 100644
--- a/source/ap/terminus-font/terminus-font.Makefile.paths.diff
+++ b/source/ap/terminus-font/terminus-font.Makefile.paths.diff
@@ -1,15 +1,17 @@
---- ./Makefile.orig 2011-07-12 11:13:12.000000000 -0500
-+++ ./Makefile 2013-02-19 14:37:14.604914231 -0600
-@@ -81,9 +81,9 @@
- n12: $(PCF_N12)
+--- ./Makefile.orig 2020-12-23 14:15:36.000000000 -0600
++++ ./Makefile 2020-12-28 12:15:35.339015286 -0600
+@@ -85,10 +85,10 @@
+ all: $(PSF) $(PCF)
- DESTDIR =
--prefix = /usr/local
--psfdir = $(prefix)/share/consolefonts
--x11dir = $(prefix)/share/fonts/terminus
-+prefix = /usr
-+psfdir = $(prefix)/share/kbd/consolefonts
-+x11dir = $(prefix)/share/fonts/misc
+ DESTDIR =
+-prefix = /usr/local
+-psfdir = $(prefix)/share/consolefonts
+-x11dir = $(prefix)/share/fonts/terminus
+-otbdir = $(prefix)/share/fonts/terminus
++prefix = /usr
++psfdir = $(prefix)/share/kbd/consolefonts
++x11dir = $(prefix)/share/fonts/misc
++otbdir = $(prefix)/share/fonts/misc
install: $(PSF) $(PCF)
mkdir -p $(DESTDIR)$(psfdir)
diff --git a/source/ap/terminus-font/terminus-font.SlackBuild b/source/ap/terminus-font/terminus-font.SlackBuild
index 6c100d006..f167007a1 100755
--- a/source/ap/terminus-font/terminus-font.SlackBuild
+++ b/source/ap/terminus-font/terminus-font.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=terminus-font
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,14 +78,15 @@ find . \
-exec chmod 644 {} \+
make || exit 1
-make install install-pcf-8bit install-psf-ref install-psf-vgaw DESTDIR=$PKG || exit 1
-
-# Install also the otb version (supported by the newer pango)
-mkdir -p $PKG/usr/share/fonts/misc
-for i in 12 14 16 18 20 22 24 26 28 32; do
- fonttosfnt -o $PKG/usr/share/fonts/misc/ter-u${i}b.otb ter-u${i}b.pcf
- fonttosfnt -o $PKG/usr/share/fonts/misc/ter-u${i}n.otb ter-u${i}n.pcf
-done
+make install install-pcf-8bit install-psf-ref install-psf-vgaw install-otb DESTDIR=$PKG || exit 1
+
+# This is done by "install-otb", but we'll leave it here as a reference.
+## Install also the otb version (supported by the newer pango)
+#mkdir -p $PKG/usr/share/fonts/misc
+#for i in 12 14 16 18 20 22 24 26 28 32; do
+# fonttosfnt -o $PKG/usr/share/fonts/misc/ter-u${i}b.otb ter-u${i}b.pcf
+# fonttosfnt -o $PKG/usr/share/fonts/misc/ter-u${i}n.otb ter-u${i}n.pcf
+#done
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \